## Script (Python) "getSchoolFee"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=brain=None
##title=
##
# $Id: getSchoolFee.py 2534 2007-11-05 06:37:12Z henrik $
"""
return SchoolFee
"""


ARTS = ('CRS','ISS','MUS','SOS','THA','PES')

# SCS = ('BIO','HEC','MAT','ARB','ISC','IGB','YOR','HAU','ENG ','FRE','PHY ','CSC','PHE','AGE','FAA','BED','HEC')

d = {}

if not brain.mode.endswith('_sw'):
    if str(brain.level) == '000' and brain.review_state == 'cleared_and_validated':
        if brain.department in ARTS:
            d['all'] = 16950
        else:
            d['all'] = 17550
    elif str(brain.level) == '100' and brain.review_state == 'cleared_and_validated':
        if brain.department in ARTS:
            d['all'] = 9820
        else:
            d['all'] = 10420
    elif str(brain.level) == '100' and brain.review_state == 'returning':
        if brain.department in ARTS:
            d['all'] = 7820
        else:
            d['all'] = 8420
    elif str(brain.level) in ('200','210','220'):
        if brain.department in ARTS:
            d['all'] = 5450
        else:
            d['all'] = 6050
    # repeaters = spillover
    elif str(brain.level) == '300':
        if brain.department in ARTS:
            d['all'] = 6200
        else:
            d['all'] = 6800
    elif str(brain.level) in ('310','320'):
        if brain.department in ARTS:
            d['all'] = 4950
        else:
            d['all'] = 6800            
    else:
        d['all'] = 0
else:
    if str(brain.level) == '100' and brain.review_state == 'cleared_and_validated':
        if brain.department in ARTS:
            d['all'] = 11000
        else:
            d['all'] = 11000
    elif str(brain.level) == '100' and brain.review_state == 'returning':
        if brain.department in ARTS:
            d['all'] = 11000
        else:
            d['all'] = 11000
    elif str(brain.level) in ('200','210','220'):
        if brain.department in ARTS:
            d['all'] = 10000
        else:
            d['all'] = 10000
    elif str(brain.level) in ('300','310','320'):
        if brain.department in ARTS:
            d['all'] = 9500
        else:
            d['all'] = 9500

    # repeaters = spillover
    elif str(brain.level) in ('400','410','420'):
        if brain.department in ARTS:
            d['all'] = 9000
        else:
            d['all'] = 9000

    else:
        d['all'] = 0


next_info = context.getNextInfo(brain)
next_session_str = next_info['next_session_str']
d['next_session_id'] = next_info['next_session_id']
d['description'] = "School Fee for Session %s" % next_session_str

return d

